Bug 488817 - Upgrade Spacewalk/Satellite to use Cobbler 1.6
Upgrade Spacewalk/Satellite to use Cobbler 1.6
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Partha Aji
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-03-05 15:14 EST by Mike McCune
Modified: 2009-09-10 08:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-03-05 15:14:13 EST
Cobbler 1.6 includes performance enhancements as well as the support for searching from within its API.  Currently to lookup system records and profiles we load all of them over xmlrpc and then search their attributes.  This is expensive and we need to switch to the new search API:

https://fedorahosted.org/pipermail/cobbler/2009-March/003169.html

import xmlrpclib
s = xmlrpclib.Server("http://127.0.0.1/cobbler_api")
print s.find_distro({"name":"a*"},False)                           # get 
all distro /names/ starting with a
print s.find_distro({"kernel":"/mnt*"},False )                    # get
Comment 1 Partha Aji 2009-07-20 14:53:19 EDT
Should be fixed. We do this already in master..
Comment 2 Miroslav Suchý 2009-09-10 08:05:32 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.